//havok_config.h
#ifndef _MAKERIGIDBODY_H
#define _MAKERIGIDBODY_H

class hkpWorld;
class hkpRigidBody;
class HavokActor;
class HavokCharacter;
class hkVector4;                                                                                                                                

extern const float g_groundHalfHeight;
extern const float g_bx, g_by, g_bz;
extern const int g_nx, g_ny, g_nz;
extern const int g_NUM_BODIES;
extern hkpRigidBody *g_bodies[];

hkpRigidBody* BuildGround( hkpWorld* pWorld );
hkpRigidBody* BuildBox( hkpWorld* pWorld );

void CreateActor();
void DeleteActor();
void UpdateActor();
hkpRigidBody* AddStaticBox( hkpWorld* pWorld, const hkVector4* position, const hkVector4*  width );

extern HavokActor* g_actor;
extern HavokCharacter* g_character;

void OutputDebugPrintf(char* fmt, ...);
#endif