//HavokCharacterListener.h

#ifndef _HAVOKCHARACTERLISTENER_H
#define _HAVOKCHARACTERLISTENER_H

#include <Physics/Utilities/CharacterControl/CharacterRigidBody/hkpCharacterRigidBodyListener.h>
#include "HavokDefine.h"

class HavokCharacterListener : public hkpCharacterRigidBodyListener
{
public:
#ifdef USE_HAVOKDEMO
	HK_DECLARE_CLASS_ALLOCATOR(HK_MEMORY_CLASS_DEMO);
#endif
	virtual ~HavokCharacterListener() {};
	virtual void characterCallback( hkpWorld* world, hkpCharacterRigidBody* characterRB );
	virtual void processActualPoints( const hkpWorld* world, hkpCharacterRigidBody* characterRB, const hkpLinkedCollidable::CollisionEntry& entry, hkpSimpleConstraintContactMgr* mgr, hkArray<hkContactPointId>& contactPointIds );
};

#endif


